import { ComponentDataProvider } from '@dvn/core/doldurma/src/providers/ComponentDataProvider';
import { DevingenApi } from "../api/devingen-api";
import { Product } from "../models/product";
export declare class DevingenDataProviderProducts implements ComponentDataProvider<Product[]> {
  devingenApi: DevingenApi;
  workspaceId: string;
  productType: string;
  constructor(devingenApi: DevingenApi, workspaceId: string, productType?: string);
  getInitialData(): Promise<Product[]>;
  getData(): Promise<Product[]>;
  getQuickSearchText(): string;
  isQuickSearchEnabled(): boolean;
  setInitialData(_data: Product[]): void;
  setQuickSearchText(_text: string): void;
}
